% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/base.R
\name{theme_base}
\alias{theme_base}
\title{Theme Base}
\usage{
theme_base(base_size = 16, base_family = "")
}
\arguments{
\item{base_size}{base font size, given in pts.}

\item{base_family}{base font family}
}
\description{
Theme similar to the default settings of the \sQuote{base} R graphics.
}
\examples{
library("ggplot2")

p <- ggplot(mtcars) + geom_point(aes(x = wt, y = mpg,
     colour = factor(gear))) + facet_wrap(~am)
p + theme_base()
# Change values of par
par(fg = "blue", bg = "gray", col.lab = "red", font.lab = 3)
p + theme_base()
}
\seealso{
Other themes: 
\code{\link{theme_clean}()},
\code{\link{theme_foundation}()},
\code{\link{theme_igray}()},
\code{\link{theme_par}()},
\code{\link{theme_solid}()}
}
\concept{themes}
