% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fivethirtyeight.R
\name{theme_fivethirtyeight}
\alias{theme_fivethirtyeight}
\title{Theme inspired by FiveThirtyEight plots}
\usage{
theme_fivethirtyeight(base_size = 12, base_family = "sans")
}
\arguments{
\item{base_size}{base font size, given in pts.}

\item{base_family}{base font family}
}
\description{
Theme inspired by the plots from FiveThirtyEight.com.
}
\examples{
library("ggplot2")
p <- ggplot(mtcars, aes(x = wt, y = mpg, colour = factor(gear))) +
  geom_point() +
  facet_wrap(~am) +
  geom_smooth(method = "lm", se = FALSE) +
  scale_color_fivethirtyeight() +
  theme_fivethirtyeight()
p
}
\concept{themes fivethirtyeight}
